package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.AttFsdaBase;

/** 蓄滞洪区信息 Service */
public interface FsdaService {
    /**
     * 查询蓄滞洪区信息列表
     * 
     * @param attFsdaBase 查询条件
     * @return 蓄滞洪区信息列表
     */
    public List<AttFsdaBase> selectAttFsdaBaseList(AttFsdaBase attFsdaBase);

    /**
     * 通过蓄滞洪区编码查询蓄滞洪区信息
     * 
     * @param fsdaCode 蓄滞洪区编码
     * @return 蓄滞洪区信息
     */
    public AttFsdaBase selectAttFsdaBaseById(String fsdaCode);

    /**
     * 批量删除蓄滞洪区信息
     * 
     * @param fsdaCodes 蓄滞洪区编码数组
     * @return 删除行数
     */
    public int deleteAttFsdaBaseByIds(String[] fsdaCodes);

    /**
     * 新增蓄滞洪区信息
     * 
     * @param attFsdaBase 蓄滞洪区信息
     * @return 插入行数
     */
    public int insertAttFsdaBase(AttFsdaBase attFsdaBase);

    /**
     * 修改蓄滞洪区信息
     * 
     * @param attFsdaBase 蓄滞洪区信息
     * @return 更新行数
     */
    public int updateAttFsdaBase(AttFsdaBase attFsdaBase);
}
